> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a log of changes for products

> Get a group of products by their IDs. Up to 100 IDs can be included in a single request. By default, the response will only include the ID and a few system fields for the products. You can get specific properties in the response by using the properties parameter in the URL, and that parameter can be included multiple times to get multiple properties. See the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json DELETE /crm-objects/v1/objects/products/{id}
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/{id}:
    delete:
      summary: Get a log of changes for products
      description: >-
        Get a group of products by their IDs. Up to 100 IDs can be included in a
        single request. By default, the response will only include the ID and a
        few system fields for the products. You can get specific properties in
        the response by using the properties parameter in the URL, and that
        parameter can be included multiple times to get multiple properties. See
        the example for more details.
      operationId: deletecrmobjectsv1objectsproductsid
      responses:
        '200':
          description: Successful response - Get a group of products by their IDs
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a log of changes for products - Example 1
                  value: Returns a 204 No Content response on success.
      security:
        - oauth2:
            - crm.objects.products.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.products.write
        - private_apps_legacy: []
components: {}

````